/******************************************************************************
*
* Copyright 2006-2015 Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
*
******************************************************************************/

/****************************************************************************//*!
*
* @file     power_mode.h
*
* @brief    Power modes for S32K144
*
*******************************************************************************/

/*******************************************************************************
* Defines
*******************************************************************************/
#define RUN  1
#define STOP 2
#define VLPR 4
#define VLPW 8
#define VLPS 16
#define HSRUN 128

/*******************************************************************************
* Define run mode clock source
*******************************************************************************/
#define RUN_PLL  10
#define RUN_FIRC 11

/*******************************************************************************
* Function prototypes
******************************************************************************/
void Run_to_VLPS(void);
void Run_to_VLPR(void);
void VLPR_to_VLPS(void);
